.dev
REST APIAPI Reference

Cities

GET
/v1/cities/search

Response Body

curl -X GET "https://example.com/v1/cities/search"
GET
/v1/countries/{country_code}/states/{state_code}/cities

Path Parameters

country_code*string
state_code*string

Response Body

curl -X GET "https://example.com/v1/countries/string/states/string/cities"
POST
/v1/countries/{country_code}/states/{state_code}/cities

Path Parameters

country_code*string
state_code*string

Response Body

curl -X POST "https://example.com/v1/countries/string/states/string/cities"
GET
/v1/countries/{country_code}/states/{state_code}/cities/{id}

Path Parameters

country_code*string
state_code*string
id*string

Response Body

curl -X GET "https://example.com/v1/countries/string/states/string/cities/string"
DELETE
/v1/countries/{country_code}/states/{state_code}/cities/{id}

Path Parameters

country_code*string
state_code*string
id*string

Response Body

curl -X DELETE "https://example.com/v1/countries/string/states/string/cities/string"
PUT
/v1/countries/{country_code}/states/{state_code}/cities/{id}

Path Parameters

country_code*string
state_code*string
id*string

Response Body

curl -X PUT "https://example.com/v1/countries/string/states/string/cities/string"